Last Comment Bug 702656 - Fennec zoomed shadow layers scrolling is incorrect
: Fennec zoomed shadow layers scrolling is incorrect
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla11
Assigned To: Oleg Romashin (:romaxa)
:
Mentors:
Depends on:
Blocks: 656036
  Show dependency treegraph
 
Reported: 2011-11-15 09:26 PST by Oleg Romashin (:romaxa)
Modified: 2012-02-01 14:00 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix shadow scale transforms calculation for remote viewport layer tree (11.42 KB, patch)
2011-11-15 09:52 PST, Oleg Romashin (:romaxa)
roc: review+
Details | Diff | Review

Description Oleg Romashin (:romaxa) 2011-11-15 09:26:12 PST
Open any page with iframes, zoom it  and try to scroll iframes

EXPECTED: iframe scrolled with the same speed as finger moves
ACTUAL: iframes scrolled with faster speed.

Also there are problems with fixed positioned layers which are translated much faster than it is needed while we zooming
Comment 1 Oleg Romashin (:romaxa) 2011-11-15 09:52:38 PST
Created attachment 574614 [details] [diff] [review]
Fix shadow scale transforms calculation for remote viewport layer tree

Ok, here is not full reimplementation, but patch which makes current implementation works.
I killed all transforms, reimplemented it, checked all cases (iframes, multiple iframes, scrolling, zooming) with fennec and native embedding browser, created diff between previous implementation and new one and got this patch.
Haven't tested it with different iframes resolution
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-11-15 13:36:18 PST
Comment on attachment 574614 [details] [diff] [review]
Fix shadow scale transforms calculation for remote viewport layer tree

Review of attachment 574614 [details] [diff] [review]:
-----------------------------------------------------------------

I'm going to rubber-stamp this. It's still unmaintainable. The methods and fields need to be very carefully documented, along with the invariants that hold between them.
Comment 3 Oleg Romashin (:romaxa) 2011-11-15 14:36:29 PST
Ok, at least we can enable fixed pos layers and enable some tests.
Will try to reorg nsContentView/nsIContentView ViewMap interfaces later
Comment 4 Ed Morley [:emorley] 2011-11-18 03:04:15 PST
https://hg.mozilla.org/mozilla-central/rev/b469ca7cef45

Note You need to log in before you can comment on or make changes to this bug.